//+------------------------------------------------------------------+
//|                                                   ATR Levels.mq4 |
//|                                                    Mike Ischenko |
//|                                            mishanya_fx@yahoo.com |
//+------------------------------------------------------------------+
#property copyright "Mike Ischenko"
#property link      "mishanya_fx@yahoo.com"

#property indicator_chart_window
//----
extern int DAYS=1;
//----
//double rates_d1[][6];
//double H1, H2, H3, H4, H4t, H5, L5, L4, L4t, L3, L2, L1, halfatr, fullatr;
//int timeshift = 0, timeshifts = 0, beginner = 0;
//int periods;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   ObjectDelete("High");
   ObjectDelete("Low");
   ObjectDelete("High label");
   ObjectDelete("Low label");  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   double weekly_high[20];
   double weekly_low[20];
   double yesterday_close;
   double phigh,plow;
   int i=1;

//---- TODO: add your code here
ArrayResize(weekly_high,DAYS);
ArrayResize(weekly_low,DAYS);
ArrayInitialize(weekly_high,0);
ArrayInitialize(weekly_low,0);

ArrayCopySeries(weekly_low, MODE_LOW, Symbol(), PERIOD_W1);
ArrayCopySeries(weekly_high, MODE_HIGH, Symbol(), PERIOD_W1);

/* initialise */
plow=weekly_low[1];
phigh=weekly_high[1];

for(i=1;i<DAYS;i++)
{
   if(plow>weekly_low[i])
   {
      plow=weekly_low[i];
   }
}

for(i=1;i<DAYS;i++)
{
   if(phigh<weekly_high[i])
   {
      phigh=weekly_high[i];
   }
}

//----Comment("\n1dayH ",phigh,"\n1dayL ",plow);
//----
   if(ObjectFind("High") != 0) 
     {
       ObjectCreate("High", OBJ_HLINE, 0, Time[0], phigh);
       ObjectSet("High", OBJPROP_COLOR, Lime);
       ObjectSet("High", OBJPROP_WIDTH, 2);
     }
   else
     {
       ObjectMove("High", 0, Time[0], phigh);
     }
///----
   if(ObjectFind("High Label") != 0)
     {
       ObjectCreate("High label", OBJ_TEXT, 0, Time[130], phigh);
       ObjectSetText("High label", "  ", 8, "Verdana", Lime);
     }
   else
     {
       ObjectMove("High label", 0, Time[130], phigh);
     } 
//----
   if(ObjectFind("Low") != 0) 
     {
       ObjectCreate("Low", OBJ_HLINE, 0, Time[0], plow);
       ObjectSet("Low", OBJPROP_COLOR, Lime);
       ObjectSet("Low", OBJPROP_WIDTH, 2);
     }
   else
     {
       ObjectMove("Low", 0, Time[0], plow);
     }
//----
   if(ObjectFind("Low Label") != 0)
     {
       ObjectCreate("Low label", OBJ_TEXT, 0, Time[130], plow);
       ObjectSetText("Low label", "  ", 8, "Verdana", Lime);
     }
   else
     {
       ObjectMove("Low label", 0, Time[130], plow);
     } 
//----
  
//----
   return(0);
  }
//+------------------------------------------------------------------+